Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1049840 - rpmbuild of cups : rpmbuild -ta cups-1.7.0-source.tar.bz2 leads to libusbx-devel is needed
Summary: rpmbuild of cups : rpmbuild -ta cups-1.7.0-source.tar.bz2 leads to libusbx-de...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libusb1
Version: 6.3
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Hans de Goede
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-08 10:43 UTC by Mehmet Demirtaş
Modified: 2014-01-31 16:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-31 16:19:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Mehmet Demirtaş 2014-01-08 10:43:12 UTC
Hello ,

Description of problem: error: Failed build dependencies:
	libusbx-devel is needed by cups-1:1.7.0-0.x86_64 . 

I think ,it requires a replacement of libusb1 with libusbx .
In addition , it leads to a lot of dependencies. Annoying situation for me.
Yum does not contain rpms for this . I install the dependency libusbx-devel-doc . But other dependency "libusbx" causes more dependencies such as GLIBC_2.17 and LIBUDEV.
                          
What can I do in this circumstance because it ramifies and gets complicated.

Thanks,

Installed Packages
glibc.i686                                                                       2.12-1.80.el6                                                                                                    
glibc.x86_64                                                                     2.12-1.80.el6                                                             
glibc-common.x86_64                                                              2.12-1.80.el6                                                             
glibc-devel.i686                                                                 2.12-1.80.el6                                                                                                               
glibc-devel.x86_64                                                               2.12-1.80.el6                                                             
glibc-headers.x86_64                                                             2.12-1.80.el6                                                             
glibc-utils.x86_64                                                               2.12-1.80.el6

Comment 2 Mehmet Demirtaş 2014-01-09 11:58:38 UTC
[root@localhost Desktop]# rpm -ivh libusbx-1.0.17-1.fc21.x86_64.rpm 
error: Failed dependencies:
	libc.so.6(GLIBC_2.14)(64bit) is needed by libusbx-1.0.17-1.fc21.x86_64
	libc.so.6(GLIBC_2.17)(64bit) is needed by libusbx-1.0.17-1.fc21.x86_64
	libudev.so.1()(64bit) is needed by libusbx-1.0.17-1.fc21.x86_64
	libudev.so.1(LIBUDEV_183)(64bit) is needed by libusbx-1.0.17-1.fc21.x86_64

Comment 3 Hans de Goede 2014-01-31 16:19:03 UTC
cups-1.7.0 is newer then the cups we ship and support on RHEL-6. So I assume that you're trying to build a newer version yourself. This is not supported.


Note You need to log in before you can comment on or make changes to this bug.